Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainA.cpp File Reference

`#include "DomainC.h"`
`#include "DomainA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for DomainA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManager_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManager_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::DomainManager_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::DomainManagerList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManagerList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::DomainManagerList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::DomainManagerList *&_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr & | _tao_elem
| ) |